Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419565 - fedora 25 kvm does not support 2560x1440 screen resolution on Windows 7 VM
Summary: fedora 25 kvm does not support 2560x1440 screen resolution on Windows 7 VM
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 14:04 UTC by Iain Lea
Modified: 2017-02-10 15:26 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 15:26:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Iain Lea 2017-02-06 14:04:48 UTC
Description of problem:
fedora 25 kvm does not support 2560x1440 screen resolution on Windows 7 VM.

Running latest updates of F25, KVM and QEMU but cannot set the screen resolution of 2560x1440 pixels (my screens native resolution) in a Windows 7 Home VM when the Display Adaptor is set to Qxl with 64MB. I checked the "List Extra Modes" as well but its not listed for the adaptor.

The host os (F25) is running at 2560x1440 without any problems.

HW is Asus P68, i7-2600k, 32GB RAM, 256 SSD and nvidia GTX950.
 
Version-Release number of selected component (if applicable):
Linux HOSTNAME 4.9.6-200.fc25.x86_64 #1 SMP DATE x86_64 x86_64 x86_64 GNU/Linux

libvirt-daemon-kvm-2.2.0-2.fc25.x86_64

qemu-kvm-2.7.1-2.fc25.x86_64
qemu-common-2.7.1-2.fc25.x86_64
qemu-guest-agent-2.7.1-2.fc25.x86_64
qemu-img-2.7.1-2.fc25.x86_64
qemu-kvm-2.7.1-2.fc25.x86_64
qemu-system-x86-2.7.1-2.fc25.x86_64

spice-glib-0.33-2.fc25.x86_64
spice-gtk3-0.33-2.fc25.x86_64
spice-server-0.13.3-1.fc25.x86_64
spice-vdagent-0.16.0-3.fc24.x86_64
spice-xpi-2.8.90-10.fc24.x86_64


How reproducible:
option to set 2560x1440 is not available so reproduciable everytime.

2560x1600 is available but that ruins the screen quality...

Steps to Reproduce:
1.
2.
3.

Actual results:
have to run in 1920x1080 resolution.

Expected results:
would expect 2560x1440 resolution as host is capable of using it and does.



Additional info:

Comment 1 Cole Robinson 2017-02-09 22:20:05 UTC
Can you post your VM XML? sudo virsh dumpxml $vmname

Are you using any virtio-win drivers inside the guest, or did you use spice-guest-tools.exe? (if you aren't sure, you probably aren't using them)

Comment 2 Iain Lea 2017-02-10 06:17:06 UTC
we took another long look at this problem and were able to fix it.

SOLUTION: we installed the latest VirtIO drivers (0.1.130) which contained an QXL driver that supported the 2560x1440 pixel native screen resolution of my monitor.

Issue can be closed.


Note You need to log in before you can comment on or make changes to this bug.